import { InputBinding } from '../binding/input';
import { MonitorBinding } from '../binding/monitor';
import { Folder } from '../model/folder';
import { UiContainer } from '../model/ui-container';
declare type InputEventName = 'change';
declare type MonitorEventName = 'update';
declare type FolderEventName = InputEventName | MonitorEventName | 'fold';
/**
 * @hidden
 */
export declare function input<In, Out>({ binding, eventName, handler, }: {
    binding: InputBinding<In, Out>;
    eventName: InputEventName;
    handler: (value: unknown) => void;
}): void;
/**
 * @hidden
 */
export declare function monitor<In>({ binding, eventName, handler, }: {
    binding: MonitorBinding<In>;
    eventName: MonitorEventName;
    handler: (value: unknown) => void;
}): void;
/**
 * @hidden
 */
export declare function folder({ eventName, folder, handler, uiContainer, }: {
    eventName: FolderEventName;
    folder: Folder | null;
    handler: (value?: unknown) => void;
    uiContainer: UiContainer;
}): void;
export {};
