import { Emitter, EventTypeMap } from '../misc/emitter';
import { InputValue } from '../model/input-value';
import { Target } from '../model/target';
interface Config<In, Out> {
    reader: (outerValue: unknown) => In;
    target: Target;
    value: InputValue<In>;
    writer: (innerValue: In) => Out;
}
/**
 * @hidden
 */
export interface InputBindingEvents<In, Out> extends EventTypeMap {
    change: {
        rawValue: In;
        sender: InputBinding<In, Out>;
    };
}
/**
 * @hidden
 */
export declare class InputBinding<In, Out> {
    readonly emitter: Emitter<InputBindingEvents<In, Out>>;
    readonly target: Target;
    readonly value: InputValue<In>;
    private reader_;
    private writer_;
    constructor(config: Config<In, Out>);
    read(): void;
    getValueToWrite(rawValue: In): Out;
    write_(rawValue: In): void;
    private onValueChange_;
}
export {};
