import { Folder } from '../model/folder';
import { UiContainer } from '../model/ui-container';
import { ViewModel } from '../model/view-model';
import { FolderView } from '../view/folder';
interface Config {
    expanded?: boolean;
    title: string;
    viewModel: ViewModel;
}
/**
 * @hidden
 */
export declare class FolderController {
    readonly viewModel: ViewModel;
    readonly folder: Folder;
    readonly view: FolderView;
    private doc_;
    private ucList_;
    constructor(document: Document, config: Config);
    get document(): Document;
    get uiContainer(): UiContainer;
    private onFolderBeforeChange_;
    private onTitleClick_;
    private applyUiContainerChange_;
    private onUiContainerAdd_;
    private onUiContainerRemove_;
    private onUiContainerItemLayout_;
    private onContainerTransitionEnd_;
}
export {};
