import { Color } from '../../model/color';
import { InputValue } from '../../model/input-value';
import { PickedColor } from '../../model/picked-color';
import { ViewModel } from '../../model/view-model';
import { Parser } from '../../parser/parser';
import { ColorComponentTextsInputView } from '../../view/input/color-component-texts';
import { InputController } from './input';
interface Config {
    parser: Parser<string, number>;
    pickedColor: PickedColor;
    viewModel: ViewModel;
}
/**
 * @hidden
 */
export declare class ColorComponentTextsInputController implements InputController<Color> {
    readonly viewModel: ViewModel;
    readonly pickedColor: PickedColor;
    readonly view: ColorComponentTextsInputView;
    private parser_;
    constructor(document: Document, config: Config);
    get value(): InputValue<Color>;
    private findIndexOfInputElem_;
    private updateComponent_;
    private onInputChange_;
    private onInputKeyDown_;
    private onModeSelectChange_;
}
export {};
