import { Color } from '../../model/color';
import { Foldable } from '../../model/foldable';
import { InputValue } from '../../model/input-value';
import { PickedColor } from '../../model/picked-color';
import { ViewModel } from '../../model/view-model';
import { ColorPickerInputView } from '../../view/input/color-picker';
import { InputController } from './input';
interface Config {
    pickedColor: PickedColor;
    supportsAlpha: boolean;
    viewModel: ViewModel;
}
/**
 * @hidden
 */
export declare class ColorPickerInputController implements InputController<Color> {
    readonly viewModel: ViewModel;
    readonly foldable: Foldable;
    readonly pickedColor: PickedColor;
    readonly view: ColorPickerInputView;
    triggerElement: HTMLElement | null;
    private alphaIcs_;
    private hPaletteIc_;
    private compTextsIc_;
    private svPaletteIc_;
    constructor(document: Document, config: Config);
    get value(): InputValue<Color>;
    private onFocusableElementBlur_;
    private onKeyDown_;
}
export {};
