import { Formatter } from '../../formatter/formatter';
import { Color } from '../../model/color';
import { InputValue } from '../../model/input-value';
import { ViewModel } from '../../model/view-model';
import { Parser } from '../../parser/parser';
import { ColorSwatchTextInputView } from '../../view/input/color-swatch-text';
import { InputController } from './input';
interface Config {
    formatter: Formatter<Color>;
    parser: Parser<string, Color>;
    supportsAlpha: boolean;
    value: InputValue<Color>;
    viewModel: ViewModel;
}
/**
 * @hidden
 */
export declare class ColorSwatchTextInputController implements InputController<Color> {
    readonly viewModel: ViewModel;
    readonly value: InputValue<Color>;
    readonly view: ColorSwatchTextInputView;
    private swatchIc_;
    private textIc_;
    constructor(document: Document, config: Config);
}
export {};
