import { Formatter } from '../../formatter/formatter';
import { InputValue } from '../../model/input-value';
import { Point2d } from '../../model/point-2d';
import { ViewModel } from '../../model/view-model';
import { Parser } from '../../parser/parser';
import { Point2dPadTextInputView } from '../../view/input/point-2d-pad-text';
import { InputController } from './input';
interface Config {
    invertsY: boolean;
    parser: Parser<string, number>;
    value: InputValue<Point2d>;
    viewModel: ViewModel;
    xFormatter: Formatter<number>;
    yFormatter: Formatter<number>;
}
/**
 * @hidden
 */
export declare class Point2dPadTextInputController implements InputController<Point2d> {
    readonly viewModel: ViewModel;
    readonly value: InputValue<Point2d>;
    readonly view: Point2dPadTextInputView;
    private readonly padIc_;
    private readonly textIc_;
    constructor(document: Document, config: Config);
    private onPadButtonBlur_;
    private onPadButtonClick_;
}
export {};
