import { Foldable } from '../../model/foldable';
import { InputValue } from '../../model/input-value';
import { Point2d } from '../../model/point-2d';
import { ViewModel } from '../../model/view-model';
import { Point2dPadInputView } from '../../view/input/point-2d-pad';
import { InputController } from './input';
interface Config {
    invertsY: boolean;
    value: InputValue<Point2d>;
    viewModel: ViewModel;
}
/**
 * @hidden
 */
export declare class Point2dPadInputController implements InputController<Point2d> {
    readonly viewModel: ViewModel;
    readonly foldable: Foldable;
    readonly value: InputValue<Point2d>;
    readonly view: Point2dPadInputView;
    triggerElement: HTMLElement | null;
    private readonly ptHandler_;
    private readonly invertsY_;
    private readonly maxValue_;
    private readonly xStep_;
    private readonly yStep_;
    constructor(document: Document, config: Config);
    private handlePointerEvent_;
    private onPointerDown_;
    private onPointerMove_;
    private onPointerUp_;
    private onPadKeyDown_;
    private onFocusableElementBlur_;
    private onKeyDown_;
}
export {};
