import { Formatter } from '../../formatter/formatter';
import { InputValue } from '../../model/input-value';
import { Point2d } from '../../model/point-2d';
import { ViewModel } from '../../model/view-model';
import { Parser } from '../../parser/parser';
import { Point2dTextInputView } from '../../view/input/point-2d-text';
import { InputController } from './input';
interface Config {
    parser: Parser<string, number>;
    value: InputValue<Point2d>;
    viewModel: ViewModel;
    xFormatter: Formatter<number>;
    yFormatter: Formatter<number>;
}
/**
 * @hidden
 */
export declare class Point2dTextInputController implements InputController<Point2d> {
    readonly viewModel: ViewModel;
    readonly value: InputValue<Point2d>;
    readonly view: Point2dTextInputView;
    private readonly parser_;
    private readonly xStep_;
    private readonly yStep_;
    constructor(document: Document, config: Config);
    private findIndexOfInputElem_;
    private updateComponent_;
    private onInputChange_;
    private onInputKeyDown_;
}
export {};
