import { Formatter } from '../../formatter/formatter';
import { InputValue } from '../../model/input-value';
import { ViewModel } from '../../model/view-model';
import { Parser } from '../../parser/parser';
import { TextInputView } from '../../view/input/text';
import { InputController } from './input';
/**
 * @hidden
 */
export interface Config<T> {
    formatter: Formatter<T>;
    parser: Parser<string, T>;
    value: InputValue<T>;
    viewModel: ViewModel;
}
/**
 * @hidden
 */
export declare class TextInputController<T> implements InputController<T> {
    readonly viewModel: ViewModel;
    readonly value: InputValue<T>;
    readonly view: TextInputView<T>;
    private parser_;
    constructor(document: Document, config: Config<T>);
    private onInputChange_;
}
