import { Formatter } from '../../formatter/formatter';
import { MonitorValue } from '../../model/monitor-value';
import { ViewModel } from '../../model/view-model';
import { GraphMonitorView } from '../../view/monitor/graph';
import { MonitorController } from './monitor';
interface Config {
    formatter: Formatter<number>;
    maxValue: number;
    minValue: number;
    value: MonitorValue<number>;
    viewModel: ViewModel;
}
/**
 * @hidden
 */
export declare class GraphMonitorController implements MonitorController<number> {
    readonly viewModel: ViewModel;
    readonly value: MonitorValue<number>;
    readonly view: GraphMonitorView;
    private cursor_;
    constructor(document: Document, config: Config);
    private onGraphMouseLeave_;
    private onGraphMouseMove_;
}
export {};
