import { Folder } from '../model/folder';
import { UiContainer } from '../model/ui-container';
import { ViewModel } from '../model/view-model';
import { RootView } from '../view/root';
interface Config {
    expanded?: boolean;
    title?: string;
    viewModel: ViewModel;
}
/**
 * @hidden
 */
export declare class RootController {
    readonly viewModel: ViewModel;
    readonly folder: Folder | null;
    readonly view: RootView;
    private doc_;
    private ucList_;
    constructor(document: Document, config: Config);
    get document(): Document;
    get uiContainer(): UiContainer;
    private onFolderBeforeChange_;
    private applyUiContainerChange_;
    private onUiContainerAdd_;
    private onUiContainerRemove_;
    private onUiContainerItemLayout_;
    private onTitleClick_;
    private onContainerTransitionEnd_;
}
export {};
