import * as InputBindingControllerCreators from './binding-creators/input';
import * as MonitorBindingControllerCreators from './binding-creators/monitor';
import { ButtonController } from './button';
import { FolderController } from './folder';
import { SeparatorController } from './separator';
/**
 * @hidden
 */
export declare type UiInputBindingController = ReturnType<typeof InputBindingControllerCreators.create>;
/**
 * @hidden
 */
export declare type UiInputBinding = UiInputBindingController['binding'];
/**
 * @hidden
 */
export declare type UiMonitorBindingController = ReturnType<typeof MonitorBindingControllerCreators.create>;
/**
 * @hidden
 */
export declare type UiMonitorBinding = UiMonitorBindingController['binding'];
/**
 * @hidden
 */
export declare type UiController = ButtonController | FolderController | SeparatorController | UiInputBindingController | UiMonitorBindingController;
