export declare type ColorComponents3 = [number, number, number];
export declare type ColorComponents4 = [number, number, number, number];
export declare type ColorMode = 'hsl' | 'hsv' | 'rgb';
/**
 * @hidden
 */
export declare function hsvToRgb(h: number, s: number, v: number): ColorComponents3;
/**
 * @hidden
 */
export declare function opaque(comps: ColorComponents3): ColorComponents4;
/**
 * @hidden
 */
export declare function withoutAlpha(comps: ColorComponents4): ColorComponents3;
/**
 * @hidden
 */
export declare function withAlpha(comps: ColorComponents3, alpha: number): ColorComponents4;
/**
 * @hidden
 */
export declare function convertMode(components: ColorComponents3, fromMode: ColorMode, toMode: ColorMode): ColorComponents3;
