import { Emitter, EventTypeMap } from './emitter';
export interface PointerData {
    px: number;
    py: number;
}
/**
 * @hidden
 */
export interface PointerHandlerEvents extends EventTypeMap {
    down: {
        data: PointerData;
        sender: PointerHandler;
    };
    move: {
        data: PointerData;
        sender: PointerHandler;
    };
    up: {
        data: PointerData;
        sender: PointerHandler;
    };
}
/**
 * A utility class to handle both mouse and touch events.
 * @hidden
 */
export declare class PointerHandler {
    readonly document: Document;
    readonly emitter: Emitter<PointerHandlerEvents>;
    readonly element: HTMLElement;
    private pressed_;
    constructor(document: Document, element: HTMLElement);
    private computePosition_;
    private onMouseDown_;
    private onDocumentMouseMove_;
    private onDocumentMouseUp_;
    private onTouchStart_;
    private onTouchMove_;
}
