import { ColorComponents3, ColorComponents4, ColorMode } from '../misc/color-model';
export interface RgbColorObject {
    r: number;
    g: number;
    b: number;
}
export interface RgbaColorObject {
    r: number;
    g: number;
    b: number;
    a: number;
}
/**
 * @hidden
 */
export declare class Color {
    static fromObject(obj: RgbColorObject | RgbaColorObject): Color;
    static toRgbaObject(color: Color): RgbaColorObject;
    static isRgbColorObject(obj: any): obj is RgbColorObject;
    static isRgbaColorObject(obj: any): obj is RgbaColorObject;
    static isColorObject(obj: any): obj is RgbColorObject | RgbaColorObject;
    private comps_;
    private mode_;
    constructor(comps: ColorComponents3 | ColorComponents4, mode: ColorMode);
    get mode(): ColorMode;
    getComponents(opt_mode?: ColorMode): ColorComponents4;
    toRgbaObject(): RgbaColorObject;
}
