import { Emitter, EventTypeMap } from '../misc/emitter';
declare type ChangeEventPropertyName = 'expanded' | 'expandedHeight' | 'shouldFixHeight' | 'temporaryExpanded';
/**
 * @hidden
 */
export interface FolderEvents extends EventTypeMap {
    beforechange: {
        propertyName: ChangeEventPropertyName;
        sender: Folder;
    };
    change: {
        propertyName: ChangeEventPropertyName;
        sender: Folder;
    };
}
/**
 * @hidden
 */
export declare class Folder {
    readonly emitter: Emitter<FolderEvents>;
    readonly title: string;
    private expandedHeight_;
    private expanded_;
    private shouldFixHeight_;
    private temporaryExpanded_;
    constructor(title: string, expanded: boolean);
    get expanded(): boolean;
    set expanded(expanded: boolean);
    get temporaryExpanded(): boolean | null;
    set temporaryExpanded(expanded: boolean | null);
    get expandedHeight(): number | null;
    set expandedHeight(expandedHeight: number | null);
    get shouldFixHeight(): boolean;
    set shouldFixHeight(shouldFixHeight: boolean);
    get styleExpanded(): boolean;
    get styleHeight(): string;
}
export {};
