import { Constraint } from '../constraint/constraint';
import { Emitter, EventTypeMap } from '../misc/emitter';
/**
 * @hidden
 */
export interface InputValueEvents<In> extends EventTypeMap {
    change: {
        sender: InputValue<In>;
        rawValue: In;
    };
}
/**
 * @hidden
 */
export declare class InputValue<T> {
    static equalsValue<T>(v1: T, v2: T): boolean;
    readonly emitter: Emitter<InputValueEvents<T>>;
    private constraint_;
    private rawValue_;
    constructor(initialValue: T, constraint?: Constraint<T>);
    get constraint(): Constraint<T> | undefined;
    get rawValue(): T;
    set rawValue(rawValue: T);
}
