import { Emitter, EventTypeMap } from '../misc/emitter';
/**
 * @hidden
 */
export interface ListEvents<T> extends EventTypeMap {
    add: {
        index: number;
        item: T;
        sender: List<T>;
    };
    remove: {
        sender: List<T>;
    };
}
/**
 * @hidden
 */
export declare class List<T> {
    readonly emitter: Emitter<ListEvents<T>>;
    private items_;
    constructor();
    get items(): T[];
    add(item: T, opt_index?: number): void;
    remove(item: T): void;
}
