import { Emitter, EventTypeMap } from '../misc/emitter';
/**
 * @hidden
 */
export interface MonitorValueEvents<T> extends EventTypeMap {
    update: {
        rawValue: T;
        sender: MonitorValue<T>;
    };
}
/**
 * @hidden
 */
export declare class MonitorValue<T> {
    readonly emitter: Emitter<MonitorValueEvents<T>>;
    private rawValues_;
    private totalCount_;
    constructor(totalCount: number);
    get rawValues(): T[];
    get totalCount(): number;
    append(rawValue: T): void;
}
