import { ColorMode } from '../misc/color-model';
import { Emitter, EventTypeMap } from '../misc/emitter';
import { Color } from './color';
import { InputValue } from './input-value';
/**
 * @hidden
 */
export interface PickedColorEvents extends EventTypeMap {
    change: {
        propertyName: 'mode' | 'value';
        sender: PickedColor;
    };
    dispose: {
        sender: PickedColor;
    };
}
export declare class PickedColor {
    readonly emitter: Emitter<PickedColorEvents>;
    readonly value: InputValue<Color>;
    private mode_;
    constructor(value: InputValue<Color>);
    get mode(): ColorMode;
    set mode(mode: ColorMode);
    private onValueChange_;
}
