import { Emitter, EventTypeMap } from '../misc/emitter';
import { ViewPosition } from './view-positions';
/**
 * @hidden
 */
export interface ViewModelEvents extends EventTypeMap {
    change: {
        propertyName: 'hidden' | 'positions';
        sender: ViewModel;
    };
    dispose: {
        sender: ViewModel;
    };
}
export declare class ViewModel {
    readonly emitter: Emitter<ViewModelEvents>;
    private disposable_;
    private positions_;
    private hidden_;
    constructor();
    get hidden(): boolean;
    set hidden(hidden: boolean);
    get positions(): ViewPosition[];
    set positions(positions: ViewPosition[]);
    get disposed(): boolean;
    dispose(): void;
    private onDispose_;
}
