import { InputValue } from '../../model/input-value';
import { Point2d } from '../../model/point-2d';
import { View, ViewConfig } from '../view';
import { InputView } from './input';
import { Point2dPadInputView } from './point-2d-pad';
import { Point2dTextInputView } from './point-2d-text';
interface Config extends ViewConfig {
    padInputView: Point2dPadInputView;
    textInputView: Point2dTextInputView;
}
/**
 * @hidden
 */
export declare class Point2dPadTextInputView extends View implements InputView<Point2d> {
    private padButtonElem_;
    private padInputView_;
    private textInputView_;
    constructor(document: Document, config: Config);
    get value(): InputValue<Point2d>;
    get padButtonElement(): HTMLButtonElement;
    update(): void;
}
export {};
