import { Formatter } from '../../formatter/formatter';
import { InputValue } from '../../model/input-value';
import { Point2d } from '../../model/point-2d';
import { View, ViewConfig } from '../view';
import { InputView } from './input';
interface Config extends ViewConfig {
    value: InputValue<Point2d>;
    xFormatter: Formatter<number>;
    yFormatter: Formatter<number>;
}
/**
 * @hidden
 */
export declare class Point2dTextInputView extends View implements InputView<Point2d> {
    readonly value: InputValue<Point2d>;
    private formatters_;
    private inputElems_;
    constructor(document: Document, config: Config);
    get inputElements(): [HTMLInputElement, HTMLInputElement];
    update(): void;
    private onValueChange_;
}
export {};
