import { Formatter } from '../../formatter/formatter';
import { GraphCursor } from '../../model/graph-cursor';
import { MonitorValue } from '../../model/monitor-value';
import { View, ViewConfig } from '../view';
import { MonitorView } from './monitor';
interface Config extends ViewConfig {
    cursor: GraphCursor;
    formatter: Formatter<number>;
    maxValue: number;
    minValue: number;
    value: MonitorValue<number>;
}
/**
 * @hidden
 */
export declare class GraphMonitorView extends View implements MonitorView<number> {
    readonly value: MonitorValue<number>;
    private cursor_;
    private formatter_;
    private lineElem_;
    private maxValue_;
    private minValue_;
    private svgElem_;
    private tooltipElem_;
    constructor(document: Document, config: Config);
    get graphElement(): Element;
    update(): void;
    private onValueUpdate_;
    private onCursorChange_;
}
export {};
